Skip to content
POST /unified/ticketing/contacts

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

account_idstring

The account id of the contact

3 supported
Front
supported
Productboard
supported
Zoho Desk
supported
avatar
1 supported
Dixa
supported
custom_fieldsRecord<string, any>

All the custom fields present on the contact

4 supported
Dixa
supported
Front
supported
Quickbase for Project Management
supported
Re:amaze
supported
detailsstring

The details of the contact

4 supported
Front
supported
Gorgias
supported
Re:amaze
supported
Zendesk
supported
emailsobject[]

The emails of the contact

9 supported1 required
Dixa
required
Enchant
supported
Front
supported
Gorgias
supported
Productboard
supported
Re:amaze
supported
SurveySparrow Ticket Management
supported
Zendesk
supported
Zoho Desk
supported
emailstring
required·

The email of the contact

typestring
required·

The type of the email

Possible values:
primaryotherhomeworkotherprimarysecondary
first_namestring

The first name of the contact

7 supported3 required
Gorgias
required
HappyFox
required
Help Scout
required
Dixa
supported
Enchant
supported
SurveySparrow Ticket Management
supported
Zoho Desk
supported
last_namestring

The last name of the contact

5 supported1 required
Zoho Desk
required
Dixa
supported
Enchant
supported
Gorgias
supported
SurveySparrow Ticket Management
supported
namestring

The name of the contact

9 supported3 required
Dixa
required
Productboard
required
Re:amaze
required
Enchant
supported
Front
supported
Gorgias
supported
SurveySparrow Ticket Management
supported
Zendesk
supported
Zoho Desk
supported
phonesobject[]

The phone numbers of the contact

7 supported
Dixa
supported
Enchant
supported
Gorgias
supported
Re:amaze
supported
SurveySparrow Ticket Management
supported
Zendesk
supported
Zoho Desk
supported
numberstring
required·

The phone of the contact

typestring
required·

The type of the phone

Possible values:
phoneotherhomeworkothermobilephonemobilephone
extensionstring

The extension of the phone number

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The unique identifier for a contact

11 supported
Dixa
supported
Enchant
supported
Front
supported
Gorgias
supported
LiveChat
supported
Productboard
supported
Quickbase for Project Management
supported
Re:amaze
supported
SurveySparrow Ticket Management
supported
Zendesk
supported
Zoho Desk
supported
account_idstring

The account id of the contact

3 supported
Front
supported
Productboard
supported
Zoho Desk
supported
created_atstring · date-time

The date the contact was created

6 supported
Dixa
supported
Gorgias
supported
Re:amaze
supported
SurveySparrow Ticket Management
supported
Zendesk
supported
Zoho Desk
supported
custom_fieldsRecord<string, any>

All the custom fields present on the contact

4 supported
Dixa
supported
Front
supported
Quickbase for Project Management
supported
Re:amaze
supported
detailsstring

The details of the contact

4 supported
Front
supported
Gorgias
supported
Re:amaze
supported
Zendesk
supported
emailsobject[]

The emails of the contact

9 supported
Dixa
supported
Enchant
supported
Front
supported
Gorgias
supported
Productboard
supported
Re:amaze
supported
SurveySparrow Ticket Management
supported
Zendesk
supported
Zoho Desk
supported
emailstring
required·

The email of the contact

typestring

The type of the email

etagstring

The unique identifier for the specific version of the resource.

first_namestring

The first name of the contact

5 supported
Dixa
supported
Enchant
supported
Gorgias
supported
SurveySparrow Ticket Management
supported
Zoho Desk
supported
is_activeboolean

Whether the contact is active or not

2 supported
SurveySparrow Ticket Management
supported
Zendesk
supported
last_namestring

The last name of the contact

5 supported
Dixa
supported
Enchant
supported
Gorgias
supported
SurveySparrow Ticket Management
supported
Zoho Desk
supported
namestring

The name of the contact

9 supported
Dixa
supported
Enchant
supported
Front
supported
Gorgias
supported
Productboard
supported
Re:amaze
supported
SurveySparrow Ticket Management
supported
Zendesk
supported
Zoho Desk
supported
phonesobject[]

The phone numbers of the contact

7 supported
Dixa
supported
Enchant
supported
Gorgias
supported
Re:amaze
supported
SurveySparrow Ticket Management
supported
Zendesk
supported
Zoho Desk
supported
extensionstring

The extension of the phone number

numberstring

The phone of the contact

typestring

The type of the phone

remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

The date the contact was last updated

4 supported
Front
supported
Gorgias
supported
Re:amaze
supported
Zendesk
supported
curl -X POST 'https://api.truto.one/unified/ticketing/contacts?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "emails": [],
  "first_name": "your_first_name",
  "last_name": "your_last_name",
  "phones": [],
  "details": "your_details",
  "custom_fields": {},
  "account_id": "your_account_id",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "emails": [],
  "first_name": "your_first_name",
  "last_name": "your_last_name",
  "phones": [],
  "details": "your_details",
  "custom_fields": {},
  "account_id": "your_account_id",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ticketing/contacts?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/contacts"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "emails": [],
    "first_name": "your_first_name",
    "last_name": "your_last_name",
    "phones": [],
    "details": "your_details",
    "custom_fields": {},
    "account_id": "your_account_id",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'ticketing',
  'contacts',
  {
  "name": "your_name",
  "emails": [],
  "first_name": "your_first_name",
  "last_name": "your_last_name",
  "phones": [],
  "details": "your_details",
  "custom_fields": {},
  "account_id": "your_account_id",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "ticketing",
        "contacts",
        {
        "name": "your_name",
        "emails": [],
        "first_name": "your_first_name",
        "last_name": "your_last_name",
        "phones": [],
        "details": "your_details",
        "custom_fields": {},
        "account_id": "your_account_id",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())